Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162728 - JBD race during shutdown of a journal
Summary: JBD race during shutdown of a journal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL: http://marc.theaimsgroup.com/?l=ext2-...
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-07-08 02:15 UTC by Mark Fasheh
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:40:36 UTC


Attachments (Terms of Use)
Patch to fix this (deleted)
2005-07-08 18:37 UTC, Mark Fasheh
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Mark Fasheh 2005-07-08 02:15:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2) Gecko/20040803

Description of problem:
kjournald is missing a check to JFS_UNMOUNT before it schedules away in it's
main function (kjournald() in fs/jbd/journal.c). If a journal is initialized and
quickly shut down (as may happen during OCFS2 recovery of a node) the call to
journal_destroy() will hang in journal_kill_thread() waiting for kjournald() to
see the JFS_UNMOUNT. A very small patch to fix this can be found at:
http://marc.theaimsgroup.com/?l=ext2-devel&m=112077008603349&w=2

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.call journal_init_inode()
2.call journal_load()
3.call journal_destroy()
  

Additional info:

Comment 1 Mark Fasheh 2005-07-08 18:37:57 UTC
Created attachment 116531 [details]
Patch to fix this

Comment 4 Stephen Tweedie 2005-07-12 17:06:52 UTC
Patch looks OK to me; it has been proposed upstream and I've ACKed it there too.



Comment 12 Tim Burke 2005-08-15 00:08:13 UTC
Sunil.Mushran@oracle.com

on oracle-list, confirmed this fix.


Comment 14 Red Hat Bugzilla 2005-10-05 13:40:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.